## ntpsec 1.1.7+dfsg1

=== debian/changelog ===
ntpsec (1.1.7+dfsg1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports. (Closes: 945009)
  * Update gbp.conf for buster-backports
  * Update salsa-ci.yml for buster-backports

 -- Richard Laager <rlaager@wiktel.com>  Tue, 19 Nov 2019 21:11:35 -0600

ntpsec (1.1.7+dfsg1-2) unstable; urgency=medium

  * Set maxclock in the default config
  * Split nts config across lines
  * Fix ntpmon/ntptrace version string expansion (Closes: 944084)
  * Move packaging git to Salsa
  * Backport NTS-KE hostname fix
  * Remove old lintian overrides
  * Add an NTS section to README.Debian
  * Add README.source
  * Rename default branch from sid to unstable

 -- Richard Laager <rlaager@wiktel.com>  Mon, 04 Nov 2019 20:14:44 -0600

ntpsec (1.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream version (Closes: 931327)
    - NTS is now implemented.
      https://tools.ietf.org/html/draft-ietf-ntp-using-nts-for-ntp
      We thank Cisco for sponsoring the NTS development.
    - Lots of fixes and cleanups to PPS, both implementation and
      documentation.
      - Allow "prefer" on a "pps" peer to use it with any source.
    - NIST lockclock mode is now a runtime option set by the (previously
      unused) flag1 mode bit of the local-clock driver.
    - The numeric literal argument of the 'time1' fudge option on a clock
      can now have one or more letter suffixes that compensate for era
      rollover in a GPS device.  Each "g" adds the number of seconds in a
      1024-week (10-bit) GPS era. Each "G" adds the number of seconds in a
      8192-week (13-bit) GPS era.
    - The neoclock4x driver has been removed, due to the hardware and the
      vendor having utterly vanished from the face of the earth.
    - Update libjsmn with upstream sync
    - ntpviz: Add -T TERMINAL option.
    - Fix slow DNS retries (Closes: 924192)
  * Return to new upstream GPG key
  * Drop many patches (merged upstream)
  * Refresh Debian-specific patches
  * ntpdate.8: Remove duplicated -o option
  * ntpdate.8: Remove -p option (Closes: 926877)
  * ntpdate.8: Remove -e option
  * ntpdate.8: Remove inaccurate BUGS section
  * Update ntpdate-debian.8 to match ntpdate.8
  * Fix ntpdate -s (syslog) to fix the if-up hook (Closes: 931414)
  * Fix cron jobs for systemd-cron (Closes: 929756)
  * Sort debian/ntpsec.install
  * Give the CloudFlare server as an example with NTS
  * Add a hint to ntp.conf for NTS servers
  * Add nts-keys file to AppArmor profile
  * Add ssl_certs and ssl_keys to apparmor for NTS
  * Update Standards-Version to 4.4.1 (no changes)
  * Use python2 instead of python for ntploggps
  * Fix a spelling error in ntp.conf.5
  * Update to debhelper 12
  * Fix/suppress dh_missing warnings

 -- Richard Laager <rlaager@wiktel.com>  Sun, 29 Sep 2019 22:27:38 -0500

=== debian/control ===
Source: ntpsec
Section: net
Priority: optional
Maintainer: Richard Laager <rlaager@wiktel.com>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: asciidoc,
               bison,
               debhelper (>= 12),
               dh-apache2,
               dh-apparmor,
               dh-python,
               docbook-xsl,
               libcap2-dev [linux-any],
               libssl-dev (>= 1.1.1),
               netbase,
               pkg-config,
               pps-tools [linux-any],
               python3 (>= 3.3),
               python3-dev (>= 3.3),
               systemd,
               xsltproc
Build-Conflicts: libavahi-compat-libdnssd-dev,
                 libwww-dev,
                 libwww-ssl-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ntpsec
Vcs-Git: https://salsa.debian.org/debian/ntpsec.git
Homepage: https://www.ntpsec.org

Package: ntpsec
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         lsb-base (>= 3.2-13),
         netbase,
         python3 (>= 3.3),
         python3-ntp,
         tzdata (>= 2015d-1),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: systemd | cron | cron-daemon
Suggests: apparmor,
          ntpsec-doc,
          ntpsec-ntpviz
Breaks: apparmor-profiles-extra (<< 1.8)
Conflicts: ntp,
           ntpdate,
           time-daemon
Provides: time-daemon
Replaces: ntp,
          time-daemon
Description: Network Time Protocol daemon and utility programs
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, or similar time signals.
 .
 This package contains the NTP daemon and utility programs.  An NTP
 daemon needs to be running on each host that is to have its clock
 accuracy controlled by NTP.  The same NTP daemon is also used to
 provide NTP service to other hosts.
 .
 This is the NTPsec version of NTP.  NTPsec is a secure, hardened,
 and improved implementation derived from the original NTP project.
 .
 For more information about the NTP protocol and NTP server
 configuration and operation, install the package "ntpsec-doc".

Package: ntpsec-ntpdate
Architecture: any
Depends: netbase,
         python3 (>= 3.3),
         python3-ntp,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ntpdate
Replaces: ntpdate
Description: client for setting system time from NTP servers
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, or similar time signals.
 .
 ntpdate is a simple NTP client that sets a system's clock to match
 the time obtained by communicating with one or more NTP servers.  It
 is not sufficient, however, for maintaining an accurate clock in the
 long run.  ntpdate by itself is useful for occasionally setting the
 time on machines that do not have full-time network access, such as
 laptops.
 .
 This is the NTPsec version of ntpdate.  NTPsec is a secure, hardened,
 and improved implementation derived from the original NTP project.
 .
 If the full NTP daemon from the package "ntpsec" is installed, then
 ntpsec-ntpdate is not necessary.

Package: ntpsec-ntpviz
Architecture: any
Depends: adduser,
         fonts-liberation,
         gnuplot,
         python3 (>= 3.3),
         python3-ntp,
         systemd | cron | cron-daemon,
         ${misc:Depends}
Recommends: ntpsec,
            systemd | python3-psutil,
            ${misc:Recommends}
Suggests: python,
          python-gps
Description: NTP statistics graphing utility
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, or similar time signals.
 .
 ntpviz analyzes NTP log files and generates statistical plots from
 them.  The output is in the form of HTML with images.  If Apache is
 installed, it will be served at: /ntpviz
 .
 This is part of NTPsec.  NTPsec is a secure, hardened, and improved
 implementation derived from the original NTP project.

Package: ntpsec-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Description: Network Time Protocol documentation
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, or similar time signals.
 .
 This package contains HTML documentation for the ntpsec packages (ntpsec,
 ntpsec-ntpdate).
 .
 This is part of NTPsec.  NTPsec is a secure, hardened, and improved
 implementation derived from the original NTP project.

Package: python3-ntp
Architecture: any
Depends: python3 (>= 3.3),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Section: python
Description: Python 3 NTP Helper Classes
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, or similar time signals.
 .
 This package contains the Python "ntp" module, which contains helper
 classes for NTP utilities written in Python.
 .
 This is part of NTPsec.  NTPsec is a secure, hardened, and improved
 implementation derived from the original NTP project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with apache2,python3

override_dh_auto_configure:
ifeq (hurd, $(DEB_HOST_ARCH_OS))
	# hurd does not provided the system calls needed for ntpd to work.
	exit 1
endif
	# Only build with refclocks NOT slated for removal.  See also
	# debian/patches/update-refclock-docs.patch.  However, if the reason
	# for deprecation is only "two digit years", I *am* keeping it.
	#
	# Upstream references:
	# https://www.ntpsec.org/removal-plan.html
	# https://www.ntpsec.org/drivers.html
	#
	# Also drop modem.  It "requires a Hayes-compatible 1200bps modem,
	# hardware now 20 years obsolete".
	#
	# gpsd is a tough call.  It's not deprecated upstream, and it still can
	# work.  However, upstream recommends the use of SHM, as does every
	# example HOWTO I found with a quick search.  Furthermore, it is buggy:
	#   https://lists.ntpsec.org/pipermail/devel/2016-October/002392.html
	# Also, it "makes all sorts of non-standard assumptions about how gpsd
	# is configured.  A configuration that is contorted and non-obvious":
	#   https://lists.ntpsec.org/pipermail/devel/2016-October/002392.html
	# Most importantly, it is an attractive nuisance.  If someone is told
	# that the best practice is to use "gpsd", they might logically think
	# they should use the gpsd driver.
	#
	# We pass LDFLAGS as LINKFLAGS because LINKFLAGS appears first in the
	# command line.  Debian wants to build with -fPIE for security reasons.
	# This is not compatible with building shared libraries like the ntpc
	# python extension.  If the -fPIE flag comes before -shared (or -fPIC),
	# the latter will override, and the build succeeds.
	CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
	LDFLAGS='' \
	LINKFLAGS='$(LDFLAGS)' \
		python3 waf configure \
		--prefix=/usr \
		--enable-debug-gdb --enable-mssntp --enable-warnings \
		--refclock=local,spectracom,generic,arbiter,nmea,pps,hpgps,shm,trimble,jjy,zyfer \
		--enable-doc --htmldir=/usr/share/doc/ntpsec/html \
		--build-epoch=$(SOURCE_DATE_EPOCH) \

override_dh_auto_build:
	python3 waf build -v

override_dh_auto_clean:
	python3 waf clean || true
	rm -rf \
		build \
		.lock-waf_*_build \
		ntpclients/ntp \
		ntpd/version.h \
		pylib/control.py \
		pylib/magic.py \
		pylib/version.py \
		.waf* \
		wafhelpers/autorevision.sh
	find -name "*.pyc" -delete

override_dh_install:
	python3 waf install --destdir=$(CURDIR)/debian/tmp
	mv \
		debian/tmp/lib/systemd/system/ntpd.service \
		debian/tmp/lib/systemd/system/ntpsec.service
	rm -rf debian/tmp/usr/lib/python3/dist-packages/ntp/__pycache__
	# ntpfrob probes internal, mostly undocumented settings.  It is
	# extremely unlikely that anyone needs this.
	#
	# ntpsnmpd is experimental.  If support for it is desired, then
	# it can be installed, but it will require some patching of file
	# paths to be compliant with Debian best practices.  It also needs
	# more documentation on how to integrate with snmpd.
	#
	# From ntpsweep.1, "ntpsweep relies on ntpq and Mode 6 queries to
	# probe servers. This depends on the remote host's restrict
	# configuration allowing queries. Nowadays effectively all public
	# hosts set noquery, so this script is unlikely to be useful unless
	# you have multiple specially-configured timeservers on a LAN."  The
	# default ntp.conf from this package also sets "noquery" (with an
	# exception for localhost).
	rm \
		debian/tmp/usr/bin/ntpfrob \
		debian/tmp/usr/bin/ntpsnmpd \
		debian/tmp/usr/bin/ntpsweep \
		debian/tmp/usr/share/man/man1/ntpsweep.1 \
		debian/tmp/usr/share/man/man8/ntpfrob.8 \
	        debian/tmp/usr/share/man/man8/ntpsnmpd.8
	mv \
		debian/tmp/usr/bin/ntptime \
		debian/tmp/usr/bin/ntpkeygen \
		debian/tmp/usr/bin/ntploggps \
		debian/tmp/usr/bin/ntplogtemp \
		debian/tmp/usr/bin/ntpwait \
		debian/tmp/usr/sbin/
	install -m 755 \
		attic/ntpdate \
		debian/tmp/usr/sbin

	install -d debian/ntpsec/lib/systemd/system
	install -m 644 \
		debian/ntpsec.ntpsec-rotate-stats.service \
		debian/ntpsec/lib/systemd/system/ntpsec-rotate-stats.service
	install -m 644 \
		debian/ntpsec.ntpsec-rotate-stats.timer \
		debian/ntpsec/lib/systemd/system/ntpsec-rotate-stats.timer

	install -d debian/ntpsec-ntpviz/lib/systemd/system
	install -m 644 \
		etc/ntploggps.service \
		etc/ntploggps.timer \
		debian/ntpsec-ntpviz/lib/systemd/system/

	install -d debian/ntpsec-ntpviz/etc/ntpviz/day
	install -m 644 www/day/footer \
		debian/ntpsec-ntpviz/etc/ntpviz/day/footer.html
	install -m 644 www/day/header \
		debian/ntpsec-ntpviz/etc/ntpviz/day/header.html
	install -m 644 www/index.html \
		debian/ntpsec-ntpviz/etc/ntpviz/index.html
	install -m 644 debian/ntpviz.options \
		debian/ntpsec-ntpviz/etc/ntpviz/options
	install -d debian/ntpsec-ntpviz/etc/ntpviz/week
	install -m 644 www/week/footer \
		debian/ntpsec-ntpviz/etc/ntpviz/week/footer.html
	install -m 644 www/week/header \
		debian/ntpsec-ntpviz/etc/ntpviz/week/header.html

	install -d debian/ntpsec-ntpviz/usr/share/ntpsec-ntpviz/ntpviz
	install -m 644 \
		www/favicon.ico \
		www/ntpsec-logo.png \
		debian/ntpsec-ntpviz/usr/share/ntpsec-ntpviz/ntpviz

	install -D -m 0755 debian/ntpdate-debian \
		debian/ntpsec-ntpdate/usr/sbin/ntpdate-debian
	install -D -m 0644 debian/ntpsec.dhcp \
		debian/ntpsec/etc/dhcp/dhclient-exit-hooks.d/ntpsec
	install -D -m 0755 debian/ntpsec.networkmanager \
		debian/ntpsec/etc/NetworkManager/dispatcher.d/ntpsec
	install -D -m 0644 debian/ntpsec-ntpdate.dhcp \
		debian/ntpsec-ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpsec-ntpdate
	install -D -m 0755 debian/ntpsec-ntpdate.networkmanager \
		debian/ntpsec-ntpdate/etc/NetworkManager/dispatcher.d/ntpsec-ntpdate
	install -D -m 0644 debian/ntpsec-systemd-netif.path \
		debian/ntpsec/lib/systemd/system/ntpsec-systemd-netif.path
	install -D -m 0644 debian/ntpsec-systemd-netif.service \
		debian/ntpsec/lib/systemd/system/ntpsec-systemd-netif.service

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	install -D -m 0644 debian/ntp.conf.ubuntu debian/ntpsec/etc/ntpsec/ntp.conf
else
	install -D -m 0644 debian/ntp.conf debian/ntpsec/etc/ntpsec/ntp.conf
endif
	install -D -m 0644 debian/ntpviz.conf \
		debian/ntpsec-ntpviz/etc/ntpsec/ntp.d/ntpviz.conf

	# install apparmor profile
	install -D -m 0644 debian/apparmor-profile \
		debian/ntpsec/etc/apparmor.d/usr.sbin.ntpd
	install -D -m 0644 debian/apparmor-profile.tunable \
		debian/ntpsec/etc/apparmor.d/tunables/ntpd
	dh_link -pntpsec etc/apparmor.d/usr.sbin.ntpd \
		etc/apparmor/init/network-interface-security/usr.sbin.ntpd

	# install apport hook
	install -D -m 644 debian/source_ntpsec.py \
		debian/ntpsec/usr/share/apport/package-hooks/source_ntpsec.py

	dh_link
	dh_install

override_dh_installinit-arch:
	dh_installinit -pntpsec --error-handler=installinit_error
	dh_installinit -pntpsec-ntpviz --name=ntpviz
	dh_installinit -pntpsec-ntpdate
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	install -m 644 debian/ntpsec-ntpdate.default.ubuntu \
		debian/ntpsec-ntpdate/etc/default/ntpsec-ntpdate
endif
	dh_apparmor --profile-name=usr.sbin.ntpd -pntpsec

override_dh_installsystemd:
	dh_installsystemd -pntpsec \
		ntpsec.service \
		ntpsec-systemd-netif.path \
		ntpsec-rotate-stats.timer
	dh_installsystemd -pntpsec-ntpviz \
		ntploggps.timer \
		ntplogtemp.timer \
		ntpviz-daily.timer \
		ntpviz-weekly.timer

## ntpsec 1.1.8%2Bdfsg1

=== ntpd/wscript ===

def build(ctx):
    bldnode = ctx.bldnode.abspath()

    if ctx.variant == "host":
        bison_source = ["ntp_parser.y"]

        ctx(
            features="c",
            includes=[ctx.bldnode.parent.abspath(), "../include", "."],
            source=bison_source,
            target="bison_obj",
        )

        # Generate Bison file first.
        ctx.add_group()

        keyword_gen_source = ["keyword-gen.c", ]

        ctx(
            features="c cprogram",
            includes=[ctx.bldnode.parent.abspath(), "../include", "."],
            install_path=None,
            source=keyword_gen_source,
            target="keyword-gen",
        )

        # XXX: needs a dependency to rebuild ntp_keyword.h
        #      when keyword-gen is rebuilt

        # Make sure keyword-gen is created next.
        ctx.add_group()

        ctx(
            features="c",
            rule="%s/ntpd/keyword-gen ${SRC} > ${TGT}" % bldnode,
            source="ntp_parser.tab.h",
            target="ntp_keyword.h"
        )

        # Make sure ntp_keyword.h is created last.
        ctx.add_group()

        return

    libntpd_source = [
        "ntp_control.c",
        "ntp_filegen.c",
        "ntp_leapsec.c",
        "ntp_monitor.c",    # Needed by the restrict code
        "ntp_recvbuff.c",
        "ntp_restrict.c",
        "ntp_util.c",
        "nts.c",
        "nts_server.c",
        "nts_client.c",
        "nts_cookie.c",
        "nts_extens.c",
    ]

    ctx(
        features="c",
        includes=[ctx.bldnode.parent.abspath(), "../include", "../libaes_siv"],
        source=libntpd_source,
        target="libntpd_obj",
        use="CRYPTO aes_siv",
    )

    ctx(
        target="ntpd_lib",
        features="c cstlib",
        use="libntpd_obj",
        # use="libntpd_obj bison_obj",
    )

    use_refclock = ""      # XXX: there must be a better way to do this
    if ctx.env.REFCLOCK_ENABLE:

        refclock_source = ["ntp_refclock.c",
			   "ntp_wrapdate.c",
                           "refclock_conf.c"
                           ]

        ctx(
            target="refclock",
            features="c",
            includes=[ctx.bldnode.parent.abspath(), "../include"],
            source=refclock_source,
        )
        use_refclock += "refclock"

        for file, define in ctx.env.REFCLOCK_SOURCE:
            ctx(
                defines=["%s=1" % define],
                features="c",
                includes=[ctx.bldnode.parent.abspath(), "../include", "../libjsmn"],
                # XXX: These need to go into config.h
                #      rather than the command line for the individual drivers
                source="refclock_%s.c" % file,
                target="refclock_%s" % file,
            )
            use_refclock += " refclock_%s" % file

    ntpd_source = [
        "ntp_config.c",
        "ntp_io.c",
        "ntp_loopfilter.c",
        "ntp_packetstamp.c",
        "ntp_peer.c",
        "ntp_proto.c",
        "ntp_sandbox.c",
        "ntp_scanner.c",
        "ntp_signd.c",
        "ntp_timer.c",
        "ntp_dns.c",
        "ntpd.c",
        ctx.bldnode.parent.find_node("host/ntpd/ntp_parser.tab.c")
    ]

    ctx(
        features="c rtems_trace cprogram",
        includes=[
            ctx.bldnode.parent.abspath(), "../include",
            "%s/host/ntpd/" % ctx.bldnode.parent.abspath(), "." ],
        install_path='${SBINDIR}',
        source=ntpd_source,
        target="ntpd",
        use="libntpd_obj ntp M parse RT CAP SECCOMP PTHREAD NTPD "
            "SSL CRYPTO DNS_SD %s SOCKET NSL SCF" % use_refclock,
    )

    ctx.manpage(8, "ntpd-man.adoc")
    ctx.manpage(5, "ntp.conf-man.adoc")
    ctx.manpage(5, "ntp.keys-man.adoc")

=== ntpfrob/wscript ===
def build(ctx):
    frob_sources = ['main.c', 'bumpclock.c', 'dump.c', 'jitter.c',
                    'precision.c', 'pps-api.c', 'tickadj.c']

    ctx(
        features="c cprogram",
        includes=[ctx.bldnode.parent.abspath(), "../include"],
        install_path='${BINDIR}',
        source=frob_sources,
        target="ntpfrob",
        use="M RT",
    )

    ctx.manpage(8, "ntpfrob-man.adoc")

=== debian/changelog ===
ntpsec (1.1.8+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:37:38 +0000

ntpsec (1.1.8+dfsg1-4) unstable; urgency=medium

  * Switch to python3-gps
  * Fix asciidoc version check (and FTBFS)

 -- Richard Laager <rlaager@wiktel.com>  Sun, 29 Dec 2019 00:22:24 -0600

ntpsec (1.1.8+dfsg1-3) unstable; urgency=medium

  * Backport fixes to NTS logging
  * Backport a fix for clock fuzz errors

 -- Richard Laager <rlaager@wiktel.com>  Thu, 05 Dec 2019 21:53:36 -0600

ntpsec (1.1.8+dfsg1-2) unstable; urgency=medium

  * Changes as of ntp_4.2.8p12+dfsg-3 have been merged as appropriate:
    - rotate-stats: Limit to specific filename patterns.
      Thanks to Bernhard Schmidt <berni@debian.org>
      with changes for NTPsec by: Richard Laager <rlaager@wiktel.com>
    - AppArmor: fix path to Samba NTP signing socket.
      Thanks to Bernhard Schmidt <berni@debian.org>
  * Patch out a docs reference to /var/db
  * Update quick.adoc to use /var/log/ntpsec
  * Add default cert & key files to apparmor policy
  * Update the Ubuntu example in quick.adoc
  * Fix some mentions of the "ntp" user
  * Use /var/lib/ntpsec for driftfile
  * Move ntp.keys to /etc/ntpsec (Closes: 945754)
  * Use /etc/ntpsec in the code and docs
  * Cleanup the ntpleapfetch documentation
  * Workaround ntpconf failed expansion
  * Add an ntp.keys HOWTO to README.Debian
  * Do not install panda.adoc
  * Remove the ancient SMP notes from README.Debian
  * Remove the ancient hwclock notes from README.Debian
  * Reorder README.Debian
  * Require python3-ntp version to match

 -- Richard Laager <rlaager@wiktel.com>  Thu, 05 Dec 2019 00:04:11 -0600

ntpsec (1.1.8+dfsg1-1) unstable; urgency=medium

  * New upstream version
    - Fix/tweak several NTS logging messages
    - Make ntpq -c :config work
    - Fix potential buffer overrun in nts_client.c ALPN checking
    - Fix broken variable substitutions in documentation
    - Add OpenSSL version logging
    - Use the -4/-6 flag for both NTS-KE lookup and NTP lookup
    - Repair ugly crash from NTS client if broken ca filename
    - Fix logging hostname/null bug in dns_probe
  * Drop two patches (merged upstream)
  * Refresh Debian-specific patches
  * Add upstream metadata (DEP-12 / UMEGAYA)
  * Remove lintian ...install-key overrides
  * Remove debian/compat
  * Update git branch structure to follow DEP-14
  * Document the use of "unapplied" patch format
  * Remove __pycache__ directories when repacking
  * Update repack-waf for uscan version 4
  * Rework debian/README.source
  * Make debian/repack-waf shellcheck-clean
  * Remove an old bug note not applicable on Debian

 -- Richard Laager <rlaager@wiktel.com>  Sun, 17 Nov 2019 23:30:18 -0600
